diff -ur umsdos_progs.org/include/umsdos_fs04.h umsdos_progs/include/umsdos_fs04.h
--- umsdos_progs.org/include/umsdos_fs04.h	2001-12-02 13:25:17.000000000 +0100
+++ umsdos_progs/include/umsdos_fs04.h	2004-02-28 17:42:10.000000000 +0100
@@ -93,11 +93,11 @@
 		__kernel_off_t st_size;
 		unsigned long st_blksize;
 		unsigned long st_blocks;
-		__kernel_time_t st_atime;
+		__kernel_time_t _st_atime;
 		unsigned long __unused1;
-		__kernel_time_t st_mtime;
+		__kernel_time_t _st_mtime;
 		unsigned long __unused2;
-		__kernel_time_t st_ctime;
+		__kernel_time_t _st_ctime;
 		unsigned long __unused3;
 		unsigned long __unused4;
 		unsigned long __unused5;
diff -ur umsdos_progs.org/include/umsdos_fs05.h umsdos_progs/include/umsdos_fs05.h
--- umsdos_progs.org/include/umsdos_fs05.h	2001-12-02 16:01:16.000000000 +0100
+++ umsdos_progs/include/umsdos_fs05.h	2004-02-28 17:44:16.000000000 +0100
@@ -97,11 +97,11 @@
 		__kernel_off_t st_size;
 		unsigned long st_blksize;
 		unsigned long st_blocks;
-		__kernel_time_t st_atime;
+		__kernel_time_t _st_atime;
 		unsigned long __unused1;
-		__kernel_time_t st_mtime;
+		__kernel_time_t _st_mtime;
 		unsigned long __unused2;
-		__kernel_time_t st_ctime;
+		__kernel_time_t _st_ctime;
 		unsigned long __unused3;
 		unsigned long __unused4;
 		unsigned long __unused5;
diff -ur umsdos_progs.org/util/umsdosio.c umsdos_progs/util/umsdosio.c
--- umsdos_progs.org/util/umsdosio.c	2002-07-23 02:48:43.000000000 +0200
+++ umsdos_progs/util/umsdosio.c	2004-02-28 17:42:28.000000000 +0100
@@ -266,9 +266,9 @@
 	fstat->st_ino  = data.stat.st_ino;
 	fstat->st_mode = data.stat.st_mode;
 	fstat->st_size = data.stat.st_size;
-	fstat->st_atime = data.stat.st_atime;
-	fstat->st_ctime = data.stat.st_ctime;
-	fstat->st_mtime = data.stat.st_mtime;
+	fstat->st_atime = data.stat._st_atime;
+	fstat->st_ctime = data.stat._st_ctime;
+	fstat->st_mtime = data.stat._st_mtime;
 	return ret;
 }
 
